.ontodia-connections-menu {
  height: 100%;
  display: flex;
  flex-direction: column;

  &__sort-switch {
    display: none;
  }

  &__sort-switch:checked + &__sort-switch-label {
    color: #337ab7;
    opacity: 1;
  }

  &__sort-switch-label {
    cursor: pointer;
    display: block;
    margin: 0;
    opacity: 0.4;
    text-align: center;

    &:hover {
      opacity: 1;
    }
  }

  &__search-line-input {
    flex: 1 1 100%;
  }
}

.ontodia-connections-menu_bread-crumbs {
  padding: 15px 10px 0 10px;
  overflow: hidden;
  text-overflow: ellipsis;
  min-height: 27px;
  flex-grow: 0;
}

.ontodia-connections-menu__title-label {
  position: absolute;
  top: -11px;
  left: 10px;
  background: $color-km-bg;
  padding-left: 3px;
  padding-right: 3px;
  border-radius: 6px;
}

.ontodia-connections-menu_search-line {
  padding: 10px;
  display: flex;
  align-items: center;
  flex: 0 0 auto;
}

.ontodia-connections-menu_search-line-sort-switches {
  flex: 0 0 20px;
  margin-left: 10px;
}

.ontodia-connections-menu_links-list {
  padding: 5px;
  overflow-x: hidden;
  overflow-y: auto;
  border-top: 1px solid #dbdbdb;
  flex-grow: 1;
  margin: 0;
}

.ocm_links-list-empty {
  display: flex;
  align-items: center;
}

.ontodia-connections-menu_links-list__empty {
  width: 100%;
  position: relative;
  font-size: x-large;
  color: #cbcbcb;
  text-align: center;
}

.ontodia-connections-menu__loading,
.ontodia-connections-menu__error {
  width: 100%;
  height: 100%;
  position: relative;
  font-size: x-large;
  display: flex;
  color: #cbcbcb;
  align-items: center;
  justify-content: center;
}
.ontodia-connections-menu__loading-objects {
  border: 1px solid gray;
  flex-grow: 1;
  box-shadow: inset 0px 0px 23px -8px gray;
  background-color: whitesmoke;
  position: relative;
  font-size: x-large;
  display: flex;
  color: #cbcbcb;
  align-items: center;
  justify-content: center;
  margin-bottom: 5px;
}

.ontodia-connections-menu__move-to-filter {
  display: flex;
  padding: 5px 10px;
  user-select: none;
  cursor: pointer;

  &:hover {
    background-color: #e6e6e6;
  }
}

.link-in-popup-menu {
  display: flex;
  overflow: hidden;
  padding: 0 5px 0 0;
  align-items: center;
  margin-bottom: 4px;
  background:#f6f6f6;
  height: 33px;

  &__link-title {
    flex-grow: 1;
    overflow: hidden;
    text-overflow: ellipsis;
    white-space: nowrap;
    margin: 5px 0px 5px 5px;
  }

  &__count {
    flex-shrink: 0;
    margin-left: 10px;
  }

  &__navigate-button {
    float: right;
    background-image: url("../images/expand-link.png");
    width: 16px;
    height: 16px;
    opacity: 0.5;
    margin-left: 10px;
    min-width: 16px;
    background-size: cover;
    &:hover { opacity: 1; }
  }

  &__filter-button {
    background-image: url("../images/add-to-filter.png");
    background-size: 20px 20px;
    width: 20px;
    height: 20px;
    opacity: 0.4;
    margin-left: 10px;
    &:hover { opacity: 1; }
  }

  &:hover {
    background-color: $color-primary-50;
  }
}

.link-in-popup-menu_direction {

    padding: 5px 0px 5px 10px;
    display: flex;
    align-items: center;

    background: transparent;
    min-height: 31px;
}

.link-in-popup-menu_direction__text-direction {
  font-size: 12px;
}

.link-in-popup-menu_direction__in-direction {
  background: url("../images/direction-in.png") 0 0 no-repeat;
  flex-shrink: 0;
  width: 22px;
  height: 15px;
  margin: 0 14px 0 0;
  background-size: contain;
  opacity: 0.3;
}

.link-in-popup-menu_direction__out-direction {
  background: url("../images/direction-out.png") 0 0 no-repeat;
  flex-shrink: 0;
  width: 22px;
  height: 15px;
  margin: 0 8px 0 6px;
  background-size: contain;
  opacity: 0.5;
}

.ontodia-connections-menu_links-list__loading {
  text-align: center;
  width: 100%;
  position: relative;
  font-size: x-large;
  color: #cbcbcb;
}

.ontodia-connections-menu_links-list__hr {
  margin-top: 10px;
  margin-bottom: 10px;
}

.ontodia-connections-menu_objects-panel {
  flex-grow: 1;
  padding: 10px;
  position: relative;
  display: flex;
  flex-direction: column;
  padding-top: 0px;
}

.ontodia-connections-menu_objects-panel__select-all {
    white-space: nowrap;
    margin: 5px 10px;
    display: flex;

    label {

      display: flex;
      align-items: center;
    }

    input, input[type='checkbox'] {
      margin-right: 5px;
      &:disabled { opacity: 0.3 }
    }
}

.ontodia-connections-menu_objects-panel_bottom-panel {
  height: 25px;
  white-space: nowrap;
  display: flex;
  justify-content: space-between;
}

.ontodia-connections-menu_objects-panel_bottom-panel__count-label {
  height: 25px;
  float: left;
  padding: 0px 5px;
  font-size: larger;
  display: flex;
  align-items: center;
  max-width: 60%;
}

.ontodia-connections-menu_objects-panel_bottom-panel__extra-elements {
  color: gray;
  cursor: help;
}

.ontodia-btn.ontodia-connections-menu_objects-panel_bottom-panel__add-button {
  height: 25px;
  padding-top: 1px;
  padding-bottom: 2px;
}

.ontodia-connections-menu_objects-panel_objects-list {
  border: 1px solid $input-border-color;
  height: 0;
  flex-grow: 1;
  overflow-x: hidden;
  overflow-y: scroll;
  padding: 5px;
  margin-bottom: 5px;
}

.ontodia-connections-menu__link {
  display: flex;
  align-items: center;
  gap: 2px;
  color: #215368;
  cursor: pointer;
  text-decoration: underline;

  &:hover {
    text-decoration: underline;
  }
}

.ontodia-connections-menu__category {
  font-weight: bold;
  margin-top: 8px;
}
